> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get a resource

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/entries/partners/{entryId}/resources/{resourceId}/

Return Resource details

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/resources/get-a-resource

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — id of the directory
- `entryId` (string, required) — id of the Partner entry
- `resourceId` (string, required) — id of the Resource

## Response

### 200

Successful operation

- `id` (string, required)
- `title` (string, optional, nullable)
- `file` (string, optional, nullable)
- `fileUrl` (string, optional, nullable)
- `url` (string, optional, nullable)
- `order` (integer, optional)

## Errors

### 404 Not Found Error

Resource not found

- `any`

## Examples

**Response**

```json
{
  "id": "e4f88344-ec9d-438b-9e05-f2f4cc89ed88",
  "title": "Entry Resource",
  "file": null,
  "fileUrl": null,
  "url": "https://partner.domain.com/resource",
  "order": 0
}
```

**SDK Code**

```python Example
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/resources/resourceId/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Example
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/entries/partners/entryId/resources/resourceId/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```